complexType "FxOptionPayout"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | currency, amount, payoutStyle?
</...>

Content Model Elements (3):

  amount (defined in NonNegativeMoney complexType), currency (defined in MoneyBase complexType), | payoutStyle

All Direct / Indirect Based Elements (1):

  payout

Known Usage Locations

- As direct type of elements (1):
  payout

Annotation
A type that contains full details of a predefined fixed payout which may occur (or not) in a Barrier Option or Digital Option when a trigger event occurs (or not).
Type Definition Detail

Type Derivation Tree MoneyBase (extension) NonNegativeMoney (extension) FxOptionPayout

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="FxOptionPayout"> <xsd:complexContent> <xsd:extension base="NonNegativeMoney"> <xsd:sequence> <xsd:element minOccurs="0" name="payoutStyle" type="PayoutEnum"/> <!--View Generation: SKIPPED settlementInformation - Unsupported--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/3)
payoutStyle

  Type: | PayoutEnum, simple content

  The trigger event and payout may be asynchonous. A payout may become due on the trigger event, or the payout may (by agreeement at initiation) be deferred (for example) to the maturity date.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Deferred" | - | If the trigger is hit, the option payout will not be paid now but will be paid on the value date of the original option. See: http://www.FpML.org
  "Immediate" | - | If the trigger is hit, the option payout will be paid immediately (i.e., spot from the payout date). See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payoutStyle" type="PayoutEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.